Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet
Class AgletStub

    java.lang.Object
      |
      +--com.ibm.aglet.AgletStub

Direct Known Subclasses:
  LocalAgletRef

public abstract class AgletStub
extends java.lang.Object

Abstract class AgletStub is used to implement an aglet behavior. It is not normally used by aglet programmers.

Version:
  1.30 $Date: 2001/07/28 06:34:00 $
Author:
  Mitsuru Oshima, ONO Kouichi

Constructor Summary
`protected` | `AgletStub()`

Method Summary
`protected abstract java.lang.Object` | `clone()`
`protected abstract void` | `deactivate(long duration)`
`protected abstract void` | `dispatch(Ticket ticket)`
`protected abstract void` | `dispatch(java.net.URL url)`
`protected abstract void` | `dispose()`
`protected abstract AgletContext` | `getAgletContext()`
`protected abstract AgletInfo` | `getAgletInfo()`
`protected abstract MessageManager` | `getMessageManager()` Gets the aglet's message manager object.
`protected abstract java.security.PermissionCollection` | `getProtections()` Gets the protections: permission collection about who can send what kind of messages to the aglet
`protected abstract java.lang.String` | `getText()` Gets the current content of the Aglet's message line.
`protected abstract void` | `setAglet(Aglet aglet)`
`protected abstract void` | `setProtections(java.security.PermissionCollection protections)` Sets the protections: permission collection about who can send what kind of messages to the aglet
`protected abstract void` | `setText(java.lang.String text)` Sets a aglet's text
`protected abstract void` | `snapshot()`
`protected abstract void` | `subscribeMessage(java.lang.String name)`
`protected abstract void` | `suspend(long duration)`
`protected abstract void` | `unsubscribeAllMessages()`
`protected abstract boolean` | `unsubscribeMessage(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgletStub

    protected AgletStub()

Method Detail

### clone

    protected abstract java.lang.Object clone()
                                       throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`

### deactivate

    protected abstract void deactivate(long duration)
                                throws java.io.IOException

### dispatch

    protected abstract void dispatch(Ticket ticket)
                              throws java.io.IOException,
                                     RequestRefusedException

### dispatch

    protected abstract void dispatch(java.net.URL url)
                              throws java.io.IOException,
                                     RequestRefusedException

### dispose

    protected abstract void dispose()

### getAgletContext

    protected abstract AgletContext getAgletContext()

### getAgletInfo

    protected abstract AgletInfo getAgletInfo()

### getMessageManager

    protected abstract MessageManager getMessageManager()

  Gets the aglet's message manager object.
  Returns:
    the method manager
  Throws:
    `InvalidAgletException` - if the aglet is not valid.
  See Also:
    `aglet.MessageManager`

### getProtections

    protected abstract java.security.PermissionCollection getProtections()

  Gets the protections: permission collection about who can send what kind of messages to the aglet
  Returns:
    collection of protections about who can send what kind of messages to the aglet

### getText

    protected abstract java.lang.String getText()

  Gets the current content of the Aglet's message line.
  Returns:
    the message line.
  Throws:
    `InvalidAgletException` - if the aglet is not valid.

### setAglet

    protected abstract void setAglet(Aglet aglet)

### setProtections

    protected abstract void setProtections(java.security.PermissionCollection protections)

  Sets the protections: permission collection about who can send what kind of messages to the aglet
  Parameters:
    `protections` - collection of protections about who can send what kind of messages to the aglet

### setText

    protected abstract void setText(java.lang.String text)

  Sets a aglet's text

### snapshot

    protected abstract void snapshot()
                              throws java.io.IOException

### subscribeMessage

    protected abstract void subscribeMessage(java.lang.String name)

### suspend

    protected abstract void suspend(long duration)
                             throws InvalidAgletException

### unsubscribeAllMessages

    protected abstract void unsubscribeAllMessages()

### unsubscribeMessage

    protected abstract boolean unsubscribeMessage(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD